Package org.eclipse.lemminx.services.extensions.diagnostics

## Interface IDiagnosticsParticipant

All Known Implementing Classes:
  `ContentModelDiagnosticsParticipant`, `DTDDiagnosticsParticipant`, `RNGDiagnosticsParticipant`, `XMLCatalogDiagnosticsParticipant`, `XMLReferencesDiagnosticParticipant`, `XSDDiagnosticsParticipant`

    public interface IDiagnosticsParticipant

Diagnostics participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doDiagnostics​(DOMDocument xmlDocument, List<org.eclipse.lsp4j.Diagnostic> diagnostics, XMLValidationSettings validationSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Validate the given XML document.

### Method Detail

#### doDiagnostics

    void doDiagnostics​(DOMDocument xmlDocument,
                       List<org.eclipse.lsp4j.Diagnostic> diagnostics,
                       XMLValidationSettings validationSettings,
                       org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Validate the given XML document.

Parameters:
  `xmlDocument` - XML document to validate.
  `diagnostics` - list to populate with errors, warnings, etc
  `validationSettings` - the validation settings.
  `cancelChecker` - used to stop the validation when XML document changed.